Bug 203437 - %post fails
%post fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: librsvg2 (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
bzcl34nup
:
: 206825 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-21 17:01 EDT by Steven Pritchard
Modified: 2008-05-06 12:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:15:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-08-21 17:01:12 EDT
Description of problem:
Installing librsvg2.i386 on a x86_64 system results in the following error:

/usr/bin/update-gdk-pixbuf-loaders: line 27:
/etc/gtk-2.0/i386-redhat-linux-gnu/gdk-pixbuf.loaders: No such file or directory
error: %post(librsvg2-2.14.4-1.fc5.1.i386) scriptlet failed, exit status 1

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=143547#c3 may have the
solution for this problem.

Version-Release number of selected component (if applicable):
2.14.4-1.fc5.1
Comment 1 Matthias Clasen 2006-10-29 19:26:01 EST
*** Bug 206825 has been marked as a duplicate of this bug. ***
Comment 2 Luis 2006-11-25 15:09:12 EST
I experienced the same problem on i386 architecture. Is the same problem as in
#143547

I have checked that the directory provided by gtk-2.0 is i686-redhat-linux-gnu
instead of i386-...

As a private workaround until it is fixed I have made a simbolic link 
/etc/gtk-2.0/i386-redhat-linux-gnu -> /etc/gtk-2.0/i686-redhat-linux-gnu 
So I can install/uninstall/update libsrvg2
It also may work for you I do not know. (Do not forget to erase the link after
installing to avoid future problems)

What is the directory name in x86_64?
Comment 3 Behdad Esfahbod 2006-11-27 18:54:35 EST
Matthias, any insights?  Last time you changed librsvg2 to use _host like gtk+.
 That is bug 137676.  Now this is a x86_64-specific issue it seems.
Comment 4 Bug Zapper 2008-04-03 23:34:21 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 12:15:15 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.